package com.ejie.ab04b.exception;

/**
 * Excepcion que indica un error en la ejecucion de una invocacion a un servicio
 * web del Servicio de Correspondencia
 * 
 * @author Aitor_Roncero
 * 
 */
public class ServicioCorrespondenciaException extends AB04BException {

	private static final long serialVersionUID = -1254218454L;

	/**
	 * Instantiates a new servicio correspondencia exception.
	 * 
	 *  message            String
	 *
	 * @param message the message
	 */
	public ServicioCorrespondenciaException(String message) {
		super(message);
	}

	/**
	 * Instantiates a new servicio correspondencia exception.
	 * 
	 *  paramThrowable            Throwable
	 *
	 * @param paramThrowable the param throwable
	 */
	public ServicioCorrespondenciaException(Throwable paramThrowable) {
		super(paramThrowable);
	}

	/**
	 * Instantiates a new servicio correspondencia exception.
	 * 
	 *  paramThrowable            Throwable
	 *  message            String
	 *
	 * @param paramThrowable the param throwable
	 * @param message the message
	 */
	public ServicioCorrespondenciaException(Throwable paramThrowable,
			String message) {
		super(paramThrowable, message);
	}

}
